public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/headscale/
Date: Thu, 10 Aug 2023 07:05:11 +0000 (UTC)	[thread overview]
Message-ID: <1691651057.91e01cbf842109c71c5aff3ec910d4e24f430027.dlan@gentoo> (raw)

commit:     91e01cbf842109c71c5aff3ec910d4e24f430027
Author:     Anton Fischl <github <AT> fischl-online <DOT> de>
AuthorDate: Wed Jun 21 05:27:03 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Thu Aug 10 07:04:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91e01cbf

net-vpn/headscale: add 0.22.3

Closes: https://github.com/gentoo/gentoo/pull/31562
Signed-off-by: Anton Fischl <github <AT> fischl-online.de>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 net-vpn/headscale/Manifest                |  2 ++
 net-vpn/headscale/headscale-0.22.3.ebuild | 48 +++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/net-vpn/headscale/Manifest b/net-vpn/headscale/Manifest
index e0310737c946..b4db44b25ebf 100644
--- a/net-vpn/headscale/Manifest
+++ b/net-vpn/headscale/Manifest
@@ -1,2 +1,4 @@
 DIST headscale-0.20.0-deps.tar.xz 199890824 BLAKE2B 4b96f22d2cd1c4156bb730cc476dbf65b969b64b857cbdc0d91714b031ca8df4993327a2e31bf8dec51b5309790bf8e606117b7c49a96654914551a9081df3cf SHA512 2394e5e995d8fae72b9561e98c1d2576309a37583441a42eee1d74fd123340dba8615c78beb581633aea15b234d213cbfcd97701c8cbf6dc85381d7dca4252a7
 DIST headscale-0.20.0.tar.gz 581431 BLAKE2B 07def2a4e6509759a1b7a18c8faa426e420a17b42290e3162540c8115316012cc83a5cbd9e8918940244591ebfca4a9225e5a0475554e52f54bd791904d6407e SHA512 e201c63f3646501229b114b48c3603945272b79390f4ab8d3f9bc557cdf02b1c404cd18ba85aaf1a5038ec41361746177278a51d6075db5944d3edf1efdcc4be
+DIST headscale-0.22.3-deps.tar.xz 210358828 BLAKE2B d9c1afb1f32084a5ed062de2d9857fc6fe1a901d0a46f9966c714a7578160308461125f42c26a5c4522a0b9ee9e8f4e29e9bf4eaa34dbbea29f61ed093528301 SHA512 4643772ab7e742effba2a66aaa3cf8a155efb90e1a0b9fe5406b7feb4f224c26367bcfb15b98af69ce0f950c26cf102302a519ae770f0d4b7775464900abc737
+DIST headscale-0.22.3.tar.gz 589745 BLAKE2B a7f6798b2cb32518818e92c8f1d190e83c7e2681d812a40a75dc4cef4941970d8a27caf3cf8bc60d0e3dac963145154231f845e75640d60cf09de71e3a36c94a SHA512 c3ce7ae023dd0bd5c52e00ec2564b68eb87074a804a9982a3eb6f1e64335621a312cbb650d79571e89bef3f0d8e6d602b732156aa8851b67dfd455ac1156b311

diff --git a/net-vpn/headscale/headscale-0.22.3.ebuild b/net-vpn/headscale/headscale-0.22.3.ebuild
new file mode 100644
index 000000000000..2379c7f4ee4e
--- /dev/null
+++ b/net-vpn/headscale/headscale-0.22.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module systemd
+
+DESCRIPTION="An open source, self-hosted implementation of the Tailscale control server"
+HOMEPAGE="https://github.com/juanfont/headscale"
+DEPS_URIS=( "https://github.com/antonfischl1980/gentoo-go-deps/releases/download/${P}/${P}-deps.tar.xz" )
+SRC_URI="https://github.com/juanfont/headscale/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	${DEPS_URIS[*]}"
+
+LICENSE="BSD Apache-2.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+DEPEND="
+	acct-group/headscale
+	acct-user/headscale
+"
+RDEPEND="
+	${DEPEND}
+	net-firewall/iptables
+"
+
+src_compile() {
+	export -n GOCACHE XDG_CACHE_HOME
+	go build -o "./bin/${PN}" "./cmd/${PN}" || die
+}
+
+src_install() {
+	dobin bin/headscale
+	dodoc -r config-example.yaml derp-example.yaml
+	keepdir /etc/headscale /var/lib/headscale
+	systemd_dounit "${FILESDIR}"/headscale.service
+	newconfd "${FILESDIR}"/headscale.confd headscale
+	newinitd "${FILESDIR}"/headscale.initd headscale
+	fowners -R "${PN}":"${PN}" /etc/headscale /var/lib/headscale
+}
+
+pkg_postinst() {
+	[[ -f "${EROOT}"/etc/headscale/config.yaml ]] && return
+	elog "Please create ${EROOT}/etc/headscale/config.yaml before starting the service"
+	elog "An example is in ${EROOT}/usr/share/doc/${P}/config-example.yaml.bz2"
+	ewarn ">=headscale-0.19.0 has a DB structs breaking, please BACKUP your database before upgrading!"
+	ewarn "see also: https://github.com/juanfont/headscale/pull/1171 and https://github.com/juanfont/headscale/pull/1144"
+}


             reply	other threads:[~2023-08-10  7:05 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-10  7:05 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-15 13:02 [gentoo-commits] repo/gentoo:master commit in: net-vpn/headscale/ Yixun Lan
2023-04-03 17:18 Jakov Smolić
2023-03-16  9:52 Yixun Lan
2022-08-18 13:54 Yixun Lan
2022-08-15  8:30 Yixun Lan
2022-08-15  7:30 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1691651057.91e01cbf842109c71c5aff3ec910d4e24f430027.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox